local dataobj = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("HeadCounter", {type = "data source", text = "HCR"})
local loots = {}

local f = CreateFrame("Frame")
f:SetScript("OnEvent", function(self, event, ...) if self[event] then return self[event](self, event, ...) end end)
f:RegisterEvent("CHAT_MSG_ADDON")

local tip = LibStub("tektip-1.0").new(6, "LEFT", "LEFT", "CENTER", "RIGHT", "RIGHT", "RIGHT")
function dataobj.OnLeave() tip:Hide() end
function dataobj.OnEnter(self)
	tip:AnchorTo(self)
    
	tip:AddLine("HeadCounter")
    tip:AddLine(" ")
    
    f:AddClass(tip, "Deathknight")
    f:AddClass(tip, "Druid")
    f:AddClass(tip, "Hunter")
    f:AddClass(tip, "Mage")
    f:AddClass(tip, "Paladin")
    f:AddClass(tip, "Priest")
    f:AddClass(tip, "Rogue")
    f:AddClass(tip, "Shaman")
    f:AddClass(tip, "Warlock")
    f:AddClass(tip, "Warrior")
    
	tip:Show()
end

function f:AddClass(tip, class)
    tip:AddLine(class)
    for n,raider in pairs(hcr) do
    if (raider.Class == class) then
            if (tonumber(raider.Attendance) > 65) then
                tip:AddLine(n.." ("..raider.Attendance.."/"..raider.AllAttendance.."%)".." Count="..raider.Count.." Rate="..raider.Rate.." Priority="..raider.Priority, 0, 1, 0)
            else
	            tip:AddLine(n.." ("..raider.Attendance.."/"..raider.AllAttendance.."%)".." Count="..raider.Count.." Rate="..raider.Rate.." Priority="..raider.Priority, 1, 0, 0)
            end
        end
    end
    tip:AddLine(" ")
end


